// rsff-wi requires but ignores input line CK
module DME-MARTIN(CK,ur,lr,ra,ua,rr,la);
input CK,ur,lr,ra;
output ua,rr,la;

  wire L,U,INH,Q,QN,QI,QO,Y1,R,S,I1,I2,I3,I4,I5,I6,I7,I8,I9,I10;

  mez MEZ(U,L,ur,lr,INH);
  rsff-wi RS(CK,QN,Q,S,R);
  cinv C_0(I7,I4,Y1);
  cinv C_1(I9,I1,I5);
  andinv AND_0(S,QO,I8);
  andinv AND_1(R,QO,I10);
  and AND_2(Y1,QO,U);
  and AND_3(I5,QO,L);
  and AND_4(I1,R,QN);
  and AND_5(I4,S,Q);
  and AND_6(rr,QN,QI);
  and AND_7(I6,Q,QI);
  or OR_0(QI,U,L);
  or OR_1(QO,I6,ra);
  or OR_2(I2,I1,I10);
  or OR_3(I3,I4,I8);
  or OR_4(INH,I2,I3);
  fork FORK_0(ua,I8,I7);
  fork FORK_1(la,I10,I9);

endmodule
